## sauerbraten 0.0.20070413.dfsg

=== Makefile ===
CXX=g++
CXXOPTFLAGS=-O3 -fomit-frame-pointer
CXXFLAGS=$(CXXOPTFLAGS)	-Wall -fsigned-char -Ienet/include -I. -Ishared -Iengine -Ifpsgame `sdl-config --cflags`

PLATFORM_PREFIX=native
CLIENT_LIBS=-Lenet -lenet `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL -lGLU 
CLIENT_OBJS= \
	shared/tools.o \
	shared/geom.o \
	engine/3dgui.o \
	engine/client.o	\
	engine/command.o \
	engine/console.o \
	engine/crypto.o \
	engine/cubeloader.o \
	engine/grass.o \
	engine/lightmap.o \
	engine/main.o \
	engine/material.o \
	engine/menus.o \
	engine/normal.o	\
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/physics.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o	\
	engine/serverbrowser.o \
	engine/shader.o \
	engine/spheretree.o \
	engine/sound.o \
	engine/texture.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o \
	fpsgame/fps.o \
	rpggame/rpg.o

SERVER_LIBS=-Lenet -lenet
SERVER_OBJS= \
	shared/tools.o \
	engine/server-standalone.o \
	fpsgame/fps-standalone.o

default: all

all: libenet client server

enet/Makefile:
	cd enet; ./configure
	
libenet: enet/Makefile
	$(MAKE)	-C enet/ all

clean: enet/Makefile
	-$(RM) $(SERVER_OBJS) $(CLIENT_OBJS) sauer_server sauer_client
	$(MAKE)	-C enet/ clean

engine/server-standalone.o:
	$(CXX) $(CXXFLAGS) -DSTANDALONE	-c -o engine/server-standalone.o engine/server.cpp
	
fpsgame/fps-standalone.o:
	$(CXX) $(CXXFLAGS) -DSTANDALONE	-c -o fpsgame/fps-standalone.o fpsgame/fps.cpp

client:	$(CLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_client $(CLIENT_OBJS) $(CLIENT_LIBS)

server:	$(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_server $(SERVER_OBJS) $(SERVER_LIBS)  
	
install: all
	cp sauer_client	../bin_unix/$(PLATFORM_PREFIX)_client
	cp sauer_server	../bin_unix/$(PLATFORM_PREFIX)_server
	strip ../bin_unix/$(PLATFORM_PREFIX)_client
	strip ../bin_unix/$(PLATFORM_PREFIX)_server

## sauerbraten 0.0.20071227.dfsg

=== Makefile ===
CXXOPTFLAGS= -O3 -fomit-frame-pointer
INCLUDES= -Ishared -Iengine -Ifpsgame -Irpggame -Ienet/include -I/usr/X11R6/include `sdl-config --cflags`
CXXFLAGS= -Wall -fsigned-char $(CXXOPTFLAGS) $(INCLUDES)

PLATFORM_PREFIX=native

CLIENT_LIBS=-Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL -lGLU 
CLIENT_OBJS= \
	shared/tools.o \
	shared/geom.o \
	engine/3dgui.o \
	engine/bih.o \
	engine/client.o	\
	engine/command.o \
	engine/console.o \
	engine/cubeloader.o \
	engine/grass.o \
	engine/lightmap.o \
	engine/main.o \
	engine/material.o \
	engine/menus.o \
	engine/normal.o	\
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/physics.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o	\
	engine/serverbrowser.o \
	engine/shader.o \
	engine/shadowmap.o \
	engine/sound.o \
	engine/texture.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o \
	fpsgame/fps.o \
	rpggame/rpg.o

SERVER_LIBS=-Lenet -lenet -lz
SERVER_OBJS= \
	shared/tools-standalone.o \
	engine/server-standalone.o \
	fpsgame/fps-standalone.o

DTRACE= /usr/sbin/dtrace -G -32
DPROVIDER= $(if $(wildcard /usr/sbin/dtrace), shared/sbtrace.o, )

default: all

all: client server

enet/Makefile:
	cd enet; ./configure
	
libenet: enet/Makefile
	$(MAKE)	-C enet/ all

clean: enet/Makefile
	-$(RM) $(SERVER_OBJS) $(CLIENT_OBJS) $(DPROVIDER) sauer_server sauer_client
	$(MAKE)	-C enet/ clean

%-standalone.o:
	$(CXX) $(CXXFLAGS) -DSTANDALONE -c -o $@ $(subst -standalone.o,.cpp,$@)

shared/sbtrace.o: shared/sbtrace.d $(CLIENT_OBJS)
	$(DTRACE) -o $@ -s $< $(CLIENT_OBJS)

client:	libenet $(CLIENT_OBJS) $(DPROVIDER)
	$(CXX) $(CXXFLAGS) -o sauer_client $(DPROVIDER) $(CLIENT_OBJS) $(CLIENT_LIBS)

server:	libenet $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_server $(SERVER_OBJS) $(SERVER_LIBS)  
	
install: all
	cp sauer_client	../bin_unix/$(PLATFORM_PREFIX)_client
	cp sauer_server	../bin_unix/$(PLATFORM_PREFIX)_server
	strip ../bin_unix/$(PLATFORM_PREFIX)_client
	strip ../bin_unix/$(PLATFORM_PREFIX)_server

## sauerbraten 0.0.20080620.dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,10 @@
 
 PLATFORM_PREFIX=native
 
-CLIENT_LIBS=-Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL -lGLU 
+CLIENT_LIBS= -Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL -lGLU 
+ifeq ($(shell uname -s),Linux)
+CLIENT_LIBS+= -lrt
+endif
 CLIENT_OBJS= \
 	shared/tools.o \
 	shared/geom.o \
@@ -14,6 +17,9 @@
 	engine/command.o \
 	engine/console.o \
 	engine/cubeloader.o \
+	engine/decal.o \
+	engine/dynlight.o \
+	engine/glare.o \
 	engine/grass.o \
 	engine/lightmap.o \
 	engine/main.o \
@@ -24,6 +30,7 @@
 	engine/octaedit.o \
 	engine/octarender.o \
 	engine/physics.o \
+	engine/pvs.o \
 	engine/rendergl.o \
 	engine/rendermodel.o \
 	engine/renderparticles.o \
@@ -42,14 +49,11 @@
 	fpsgame/fps.o \
 	rpggame/rpg.o
 
-SERVER_LIBS=-Lenet -lenet -lz
+SERVER_LIBS= -Lenet -lenet -lz
 SERVER_OBJS= \
 	shared/tools-standalone.o \
 	engine/server-standalone.o \
 	fpsgame/fps-standalone.o
-
-DTRACE= /usr/sbin/dtrace -G -32
-DPROVIDER= $(if $(wildcard /usr/sbin/dtrace), shared/sbtrace.o, )
 
 default: all
 
@@ -62,17 +66,14 @@
 	$(MAKE)	-C enet/ all
 
 clean: enet/Makefile
-	-$(RM) $(SERVER_OBJS) $(CLIENT_OBJS) $(DPROVIDER) sauer_server sauer_client
+	-$(RM) $(SERVER_OBJS) $(CLIENT_OBJS) sauer_server sauer_client
 	$(MAKE)	-C enet/ clean
 
 %-standalone.o:
 	$(CXX) $(CXXFLAGS) -DSTANDALONE -c -o $@ $(subst -standalone.o,.cpp,$@)
 
-shared/sbtrace.o: shared/sbtrace.d $(CLIENT_OBJS)
-	$(DTRACE) -o $@ -s $< $(CLIENT_OBJS)
-
-client:	libenet $(CLIENT_OBJS) $(DPROVIDER)
-	$(CXX) $(CXXFLAGS) -o sauer_client $(DPROVIDER) $(CLIENT_OBJS) $(CLIENT_LIBS)
+client:	libenet $(CLIENT_OBJS)
+	$(CXX) $(CXXFLAGS) -o sauer_client $(CLIENT_OBJS) $(CLIENT_LIBS)
 
 server:	libenet $(SERVER_OBJS)
 	$(CXX) $(CXXFLAGS) -o sauer_server $(SERVER_OBJS) $(SERVER_LIBS)

## sauerbraten 0.0.20090504.dfsg

=== Makefile ===
CXXFLAGS= -O3 -fomit-frame-pointer
override CXXFLAGS+= -Wall -fsigned-char

PLATFORM= $(shell uname -s)
PLATFORM_PREFIX= native

INCLUDES= -Ishared -Iengine -Ifpsgame -Ienet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
  STRIP=strip
endif
endif

ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
CLIENT_INCLUDES= $(INCLUDES) -Iinclude
CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
else	
CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
CLIENT_LIBS= -Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
endif
ifeq ($(PLATFORM),Linux)
CLIENT_LIBS+= -lrt
endif
CLIENT_OBJS= \
	shared/crypto.o \
	shared/geom.o \
	shared/stream.o \
	shared/tools.o \
	shared/zip.o \
	engine/3dgui.o \
	engine/bih.o \
	engine/blend.o \
	engine/blob.o \
	engine/client.o	\
	engine/command.o \
	engine/console.o \
	engine/cubeloader.o \
	engine/decal.o \
	engine/dynlight.o \
	engine/glare.o \
	engine/grass.o \
	engine/lightmap.o \
	engine/main.o \
	engine/material.o \
	engine/menus.o \
	engine/movie.o \
	engine/normal.o	\
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/physics.o \
	engine/pvs.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o	\
	engine/serverbrowser.o \
	engine/shader.o \
	engine/shadowmap.o \
	engine/sound.o \
	engine/texture.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o \
	fpsgame/ai.o \
	fpsgame/client.o \
	fpsgame/entities.o \
	fpsgame/fps.o \
	fpsgame/monster.o \
	fpsgame/movable.o \
	fpsgame/render.o \
	fpsgame/scoreboard.o \
	fpsgame/server.o \
	fpsgame/waypoint.o \
	fpsgame/weapon.o
ifneq (,$(findstring MINGW,$(PLATFORM)))
CLIENT_OBJS+= vcpp/SDL_win32_main.o
endif
CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch fpsgame/game.h.gch

ifneq (,$(findstring MINGW,$(PLATFORM)))
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
else
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
SERVER_LIBS= -Lenet -lenet -lz
endif
SERVER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/server-standalone.o \
	fpsgame/server-standalone.o
MASTER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/master-standalone.o

ifeq ($(PLATFORM),SunOS)
CLIENT_LIBS+= -lsocket -lnsl -lX11
SERVER_LIBS+= -lsocket -lnsl
endif

default: all

all: client server

enet/Makefile:
	cd enet; ./configure
	
libenet: enet/Makefile
	$(MAKE)	-C enet/ all

clean-enet: enet/Makefile
	$(MAKE) -C enet/ clean

clean:
	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) $(SERVER_OBJS) $(MASTER_OBJS) sauer_client sauer_server sauer_master

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
	mv $@.tmp $@

%-standalone.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)
$(filter shared/%,$(CLIENT_OBJS)): $(filter shared/%,$(CLIENT_PCH))
$(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))
$(filter fpsgame/%,$(CLIENT_OBJS)): $(filter fpsgame/%,$(CLIENT_PCH))

$(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)
$(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)

ifneq (,$(findstring MINGW,$(PLATFORM)))
vcpp/%.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@) 

client: $(CLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/sauerbraten.rc -J rc -o vcpp/sauerbraten.res -O coff 
	$(CXX) $(CXXFLAGS) -o ../bin/sauerbraten.exe vcpp/sauerbraten.res $(CLIENT_OBJS) $(CLIENT_LIBS)

server: $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sauer_server.exe $(SERVER_OBJS) $(SERVER_LIBS)

master: $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sauer_master.exe $(MASTER_OBJS) $(SERVER_LIBS)

install: all
else
client:	libenet $(CLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_client $(CLIENT_OBJS) $(CLIENT_LIBS)

server:	libenet $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_server $(SERVER_OBJS) $(SERVER_LIBS)  
	
master: libenet $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_master $(MASTER_OBJS) $(SERVER_LIBS)  

install: all
	cp sauer_client	../bin_unix/$(PLATFORM_PREFIX)_client
	cp sauer_server	../bin_unix/$(PLATFORM_PREFIX)_server
ifneq (,$(STRIP))
	$(STRIP) ../bin_unix/$(PLATFORM_PREFIX)_client
	$(STRIP) ../bin_unix/$(PLATFORM_PREFIX)_server
endif
endif

depend:
	makedepend -Y -Ishared -Iengine -Ifpsgame $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))

# DO NOT DELETE

shared/crypto.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/crypto.o: shared/command.h shared/iengine.h shared/igame.h
shared/geom.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/geom.o: shared/command.h shared/iengine.h shared/igame.h
shared/stream.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/stream.o: shared/command.h shared/iengine.h shared/igame.h
shared/tools.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/tools.o: shared/command.h shared/iengine.h shared/igame.h
shared/zip.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/zip.o: shared/command.h shared/iengine.h shared/igame.h
engine/3dgui.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/3dgui.o: shared/ents.h shared/command.h shared/iengine.h
engine/3dgui.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h
engine/3dgui.o: engine/textedit.h
engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/bih.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/bih.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/bih.o: engine/texture.h engine/model.h
engine/blend.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blend.o: shared/ents.h shared/command.h shared/iengine.h
engine/blend.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/blend.o: engine/bih.h engine/texture.h engine/model.h
engine/blob.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blob.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/blob.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/blob.o: engine/texture.h engine/model.h
engine/client.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/client.o: shared/ents.h shared/command.h shared/iengine.h
engine/client.o: shared/igame.h engine/world.h engine/octa.h
engine/client.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/client.o: engine/model.h
engine/command.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/command.o: shared/ents.h shared/command.h shared/iengine.h
engine/command.o: shared/igame.h engine/world.h engine/octa.h
engine/command.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/command.o: engine/model.h
engine/console.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/console.o: shared/ents.h shared/command.h shared/iengine.h
engine/console.o: shared/igame.h engine/world.h engine/octa.h
engine/console.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/console.o: engine/model.h
engine/cubeloader.o: engine/engine.h shared/cube.h shared/tools.h
engine/cubeloader.o: shared/geom.h shared/ents.h shared/command.h
engine/cubeloader.o: shared/iengine.h shared/igame.h engine/world.h
engine/cubeloader.o: engine/octa.h engine/lightmap.h engine/bih.h
engine/cubeloader.o: engine/texture.h engine/model.h
engine/decal.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/decal.o: shared/ents.h shared/command.h shared/iengine.h
engine/decal.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/decal.o: engine/bih.h engine/texture.h engine/model.h
engine/dynlight.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/dynlight.o: shared/ents.h shared/command.h shared/iengine.h
engine/dynlight.o: shared/igame.h engine/world.h engine/octa.h
engine/dynlight.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/dynlight.o: engine/model.h
engine/glare.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/glare.o: shared/ents.h shared/command.h shared/iengine.h
engine/glare.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/glare.o: engine/bih.h engine/texture.h engine/model.h
engine/glare.o: engine/rendertarget.h
engine/grass.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/grass.o: shared/ents.h shared/command.h shared/iengine.h
engine/grass.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/grass.o: engine/bih.h engine/texture.h engine/model.h
engine/lightmap.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/lightmap.o: shared/ents.h shared/command.h shared/iengine.h
engine/lightmap.o: shared/igame.h engine/world.h engine/octa.h
engine/lightmap.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/lightmap.o: engine/model.h
engine/main.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/main.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/main.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/main.o: engine/texture.h engine/model.h
engine/material.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/material.o: shared/ents.h shared/command.h shared/iengine.h
engine/material.o: shared/igame.h engine/world.h engine/octa.h
engine/material.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/material.o: engine/model.h
engine/menus.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/menus.o: shared/ents.h shared/command.h shared/iengine.h
engine/menus.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/menus.o: engine/bih.h engine/texture.h engine/model.h
engine/movie.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/movie.o: shared/ents.h shared/command.h shared/iengine.h
engine/movie.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/movie.o: engine/bih.h engine/texture.h engine/model.h
engine/normal.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/normal.o: shared/ents.h shared/command.h shared/iengine.h
engine/normal.o: shared/igame.h engine/world.h engine/octa.h
engine/normal.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/normal.o: engine/model.h
engine/octa.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/octa.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/octa.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/octa.o: engine/texture.h engine/model.h
engine/octaedit.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/octaedit.o: shared/ents.h shared/command.h shared/iengine.h
engine/octaedit.o: shared/igame.h engine/world.h engine/octa.h
engine/octaedit.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/octaedit.o: engine/model.h
engine/octarender.o: engine/engine.h shared/cube.h shared/tools.h
engine/octarender.o: shared/geom.h shared/ents.h shared/command.h
engine/octarender.o: shared/iengine.h shared/igame.h engine/world.h
engine/octarender.o: engine/octa.h engine/lightmap.h engine/bih.h
engine/octarender.o: engine/texture.h engine/model.h
engine/physics.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/physics.o: shared/ents.h shared/command.h shared/iengine.h

=== debian/changelog ===
sauerbraten (0.0.20090504.dfsg-2) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Drop code snippet in debian/rules to make parallel builds possible on SMP
    machines.
  * Add 30-fix-indirect-linking-for-binutils-gold.diff. Link directly against
    X11 so that ld as in binutils-gold is happy. Thanks to Peter Fritzsche for
    reporting! (Closes: #556757)
  * Copy over README.source from quilt to document the patch system we are using
  * Convert to source package format 3.0 quilt
    * Drop build dependency on quilt
    * Ship debian/sauerbraten.png instead of the uuencoded sauerbraten.png.uu.
      We don't need sharutils as build dependency anymore, so drop it.
  * Update to standards version 3.8.3. No changes required.
  * Clean up the rules file. Create *.install files instead of calling
    dh_install repeatedly

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 19 Nov 2009 13:14:32 +0100

sauerbraten (0.0.20090504.dfsg-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New Upstream Version (Closes: #527032)
  * Add a script to build pristine tarballs from upstream SVN repository
  * Update my email address in some files and in the uploaders field
  * Refresh patch to fix the clean target in the top-level makefile
  * Add a patch for top-level makefile to build binaries with debug symbols
  * Updated debian/copyright as we get sources via SVN, now
  * Bump Debian standards version to 3.8.2
    + Updated section for sauerbraten-dbg
    + Use unicode copyright symbol in debian/copyright
  * Bumped debhelper compatibility level to 7
  * Versioned binary dependency on sauerbraten-data is now put into a generated
    substitution variable
  * Update Vcs-* fields in debian/control to reflect new repository location
  * Minor changes in README.Debian about download location and from where the
    sources were obtained.

  [ Evgeni Golov ]
  * debian/rules:
    + Don't FTBFS with DEB_BUILD_OPTIONS=noopt.
      ($(info ...) isn't allowed before the first target)
    + Neither is $(error ...), so move it into the build target.
      Closes: #511719

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jul 2009 12:13:55 +0200

sauerbraten (0.0.20080620.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #486802)
  * Refresh fix-clean-target.diff

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Wed, 25 Jun 2008 22:51:13 +0200

sauerbraten (0.0.20071227.dfsg-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file

  [ Bruno "Fuddl" Kleinert ]
  * Build-depend on debhelper >= 5.0.51. Found by lintian
    * We need dh_icon from at least that version
  * Depend on sauerbraten-data of a newer Debian revision, which fixes #467449

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Sun, 23 Mar 2008 20:38:20 +0100

sauerbraten (0.0.20071227.dfsg-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Update to Standards version 3.7.3.0. No changes necessary
  * Build debug package sauerbraten-dbg
  * Updated README.Debian
    * Document removal of some precompiled/header files in the engine's
      sources
    * Describe in README.Debian how to generate a backtrace if sauerbraten
      crashes
  * Fix format of NEWS.Debian. Found by lintian
  * Use a versioned dependency on sauerbraten-data to avoid incompatible
    installations of the engine and game-data package (Closes: #440246)
  * Switch from dpatch to quilt
  * Install PNG desktop icon in proper location
  * Update my email address
  * Patch Makefile to support building binaries with debug symbols
    (Closes: #443658)

  [ Marco Rodrigues ]
  * Add Homepage field in the control file.

  [ Reinhard Tartler ]
  * disable powerpc builds in debian/rules (Closes: #432666)

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Mon, 29 Jan 2008 18:55:17 +0100

sauerbraten (0.0.20070819.dfsg-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Update the Debian menu file to the latest menu structure
  * Remove 10_save_and_load_maps_from_home_directory.dpatch (Upstream solved
    this in this release) (Closes: #426691)
  * Remove 10_search_home_for_config.dpatch (Upstream solved this in this
    release)
  * Add 10_fix_clean_target.dpatch to avoid calling autotools in clean target
  * Add NEWS.Debian

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Sun, 26 Aug 2007 17:45:25 +0200

sauerbraten (0.0.20070413.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #420086)
  * Replaced german-english mixture 'ego-shooter' by 'first-person shooter'
  * Added a desktop shortcut icon

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Sat, 28 Apr 2007 21:57:59 +0200

sauerbraten (0.0.20061204.dfsg-1) unstable; urgency=low

  * Initial release

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Tue,  9 Jan 2007 18:19:30 +0100

=== debian/control ===
Source: sauerbraten
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>
Build-Depends: debhelper (>= 7), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, imagemagick
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/pkg-games/sauerbraten.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/sauerbraten.git;a=summary
Homepage: http://sauerbraten.org/

Package: sauerbraten
Architecture: any
Depends: ${shlibs:Depends}, sauerbraten-data (>= ${sauerbraten-data-ver})
Recommends: sauerbraten-wake6
Description: 3D first-person game engine
 Sauerbraten is a networked fast-paced 3D first person first-person shooter 
 game. It supports rather modern graphic effects and a some nice graphic 
 details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the game client and map editor.

Package: sauerbraten-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Depends: sauerbraten (= ${binary:Version})
Description: Debug symbols for the Sauerbraten game engine
 Sauerbraten is a networked fast-paced 3D first person first-person shooter 
 game. It supports rather modern graphic effects and a some nice graphic 
 details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the debug symbols for the game client.

Package: sauerbraten-server
Architecture: any
Depends: ${shlibs:Depends}
Suggests: sauerbraten
Description: Standalone server for the Sauerbraten game
 Sauerbraten is a networked fast-paced 3D first person first-person shooter 
 game. It supports rather modern graphic effects and a some nice graphic 
 details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 This package installs the standalone server for Sauerbraten.

## sauerbraten 0.0.20100728.dfsg

=== debian/changelog ===
sauerbraten (0.0.20100728.dfsg-2) unstable; urgency=low

  * Fix typos in package description, manpages and desktop shortcuts
    (Closes: #573778)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 16 Aug 2010 12:12:51 +0200

sauerbraten (0.0.20100728.dfsg-1) unstable; urgency=low

  * New upstream release
  * Refresh 30-fix-indirect-linking-for-binutils-gold.diff
  * Refresh 10-fix-clean-target.diff
  * Fix lintian warning about missing ${misc:Depends} in Depends fields of
    binary packages
  * Update to standards version 3.9.1 without changes

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 21:49:06 -0400

=== debian/control ===
Source: sauerbraten
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>
Build-Depends: debhelper (>= 7), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, imagemagick
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-games/sauerbraten.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/sauerbraten.git;a=summary
Homepage: http://sauerbraten.org/

Package: sauerbraten
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sauerbraten-data (>= ${sauerbraten-data-ver})
Recommends: sauerbraten-wake6
Description: 3D first-person game engine
 Sauerbraten is a networked fast-paced 3D first-person shooter game. It supports
 rather modern graphic effects and a some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the game client and map editor.

Package: sauerbraten-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, sauerbraten (= ${binary:Version})
Description: Debug symbols for the Sauerbraten game engine
 Sauerbraten is a networked fast-paced 3D first-person shooter game. It supports
 rather modern graphic effects and a some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the debug symbols for the game client.

Package: sauerbraten-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sauerbraten
Description: Standalone server for the Sauerbraten game
 Sauerbraten is a networked fast-paced 3D first-person shooter game. It supports
 rather modern graphic effects and a some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 This package installs the standalone server for Sauerbraten.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXOPTFLAGS+=
else
	CXXOPTFLAGS+=-O2 -fomit-frame-pointer
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif


build: build-stamp
build-stamp:
ifeq ($(DEB_BUILD_GNU_TYPE), powerpc-linux-gnu)
	$(error powerpc builds disabled. See http://bugs.debian.org/432666 for details)
endif
	dh_testdir
	convert debian/sauerbraten.png debian/sauerbraten.xpm
	$(MAKE) CXXOPTFLAGS="$(CXXOPTFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	rm -f debian/sauerbraten.xpm
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	# Uhm... yes, it's a hack to strip \.dfsg.* from the version... Improvements
	# appreciated! It's used by dh_gencontrol
	echo "sauerbraten-data-ver=`head -n1 debian/changelog | egrep -o '\(.*\)' | sed -e 's/(//' | sed -e 's/\.dfsg.*//'`" \
			>> debian/sauerbraten.substvars
	dh_installdocs
	dh_installdocs --all debian/README.Debian
	dh_installdocs -psauerbraten debian/NEWS.Debian
	dh_install
	dh_installmenu -psauerbraten
	dh_installman -psauerbraten debian/sauerbraten.6
	dh_installman -psauerbraten-server debian/sauerbraten-server.6
	dh_icons -psauerbraten
	dh_link
	dh_strip -psauerbraten --dbg-package=sauerbraten-dbg
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
